Abstract parent for database manipulation subclasses

package | Query
subpackage | Query

### Methods

## Get the 'average' keyword

    avg() : string

### Returns

`string`

## Get information about the columns in the specified table

    column_list($table) : string

### Parameters

#### $table

``

string

### Returns

`string`

## Returns sql to list other databases

    db_list() : string

### Returns

`string`

## Get the 'distinct' keyword

    distinct() : string

### Returns

`string`

## Return sql to list functions

    function_list() : FALSE

### Returns

`FALSE`

## Get database specific sql for limit clause

    limit(string $sql, int $limit, int $offset) : string

abstract |

### Parameters

#### $sql

`string`

#### $limit

`int`

#### $offset

`int`

### Returns

`string`

## Get the max keyword sql

    max() : string

### Returns

`string`

## Get the min keyword sql

    min() : string

### Returns

`string`

## Return sql to list stored procedures

    procedure_list() : string

### Returns

`string`

## Get the sql for random ordering

    random() : string

abstract |

### Returns

`string`

## Return sql to list sequences

    sequence_list() : string

### Returns

`string`

## Get the 'sum' keyword

    sum() : string

### Returns

`string`

## Returns sql to list system tables

    system_table_list() : string

### Returns

`string`

## Returns sql to list tables

    table_list() : string

### Returns

`string`

## Returns sql to list triggers

    trigger_list() : string

### Returns

`string`

## Return sql to list database field types

    type_list() : mixed

### Returns

`mixed`

## Returns sql to list views

    view_list() : string

### Returns

`string`